#ifndef _H_4F03401B5A5470E9012B1996CFD875B1_Increment__H_
#define _H_4F03401B5A5470E9012B1996CFD875B1_Increment__H_

#include "sacpp_mapping.h"
#include "cpp_dcps_if.h"
#include "unique_identifier_msgs/msg/dds_opensplice/UUID_.h"
#include "builtin_interfaces/msg/dds_opensplice/Time_.h"


namespace teleop_tools_msgs
{
    namespace action
    {
        namespace dds_
        {
            struct  Increment_Goal_
            {
                struct _increment_by__seq_uniq_{};
                typedef DDS_DCPSUFLSeq< ::DDS::Float, struct _increment_by__seq_uniq_ > _increment_by__seq;
                typedef DDS_DCPSSequence_var< _increment_by__seq > _increment_by__seq_var;
                typedef DDS_DCPSSequence_out< _increment_by__seq > _increment_by__seq_out;
                _increment_by__seq increment_by_;
            };

            typedef DDS_DCPSStruct_var<Increment_Goal_> Increment_Goal__var;
            typedef DDS_DCPSStruct_out < Increment_Goal_> Increment_Goal__out;

            struct  Increment_SendGoal_Request_
            {
                ::unique_identifier_msgs::msg::dds_::UUID_ goal_id_;
                ::teleop_tools_msgs::action::dds_::Increment_Goal_ goal_;
            };

            typedef DDS_DCPSStruct_var<Increment_SendGoal_Request_> Increment_SendGoal_Request__var;
            typedef DDS_DCPSStruct_out < Increment_SendGoal_Request_> Increment_SendGoal_Request__out;

            struct  Increment_SendGoal_Response_
            {
                ::DDS::Boolean accepted_;
                ::builtin_interfaces::msg::dds_::Time_ stamp_;
            };

            typedef DDS_DCPSStruct_var<Increment_SendGoal_Response_> Increment_SendGoal_Response__var;
            typedef Increment_SendGoal_Response_& Increment_SendGoal_Response__out;

            struct  Sample_Increment_SendGoal_Request_
            {
                ::DDS::ULongLong client_guid_0_;
                ::DDS::ULongLong client_guid_1_;
                ::DDS::LongLong sequence_number_;
                ::teleop_tools_msgs::action::dds_::Increment_SendGoal_Request_ request_;
            };

            typedef DDS_DCPSStruct_var<Sample_Increment_SendGoal_Request_> Sample_Increment_SendGoal_Request__var;
            typedef DDS_DCPSStruct_out < Sample_Increment_SendGoal_Request_> Sample_Increment_SendGoal_Request__out;

            struct  Sample_Increment_SendGoal_Response_
            {
                ::DDS::ULongLong client_guid_0_;
                ::DDS::ULongLong client_guid_1_;
                ::DDS::LongLong sequence_number_;
                ::teleop_tools_msgs::action::dds_::Increment_SendGoal_Response_ response_;
            };

            typedef DDS_DCPSStruct_var<Sample_Increment_SendGoal_Response_> Sample_Increment_SendGoal_Response__var;
            typedef Sample_Increment_SendGoal_Response_& Sample_Increment_SendGoal_Response__out;

            struct  Increment_Result_
            {
                ::DDS::Octet structure_needs_at_least_one_member_;
            };

            typedef DDS_DCPSStruct_var<Increment_Result_> Increment_Result__var;
            typedef Increment_Result_& Increment_Result__out;

            struct  Increment_GetResult_Request_
            {
                ::unique_identifier_msgs::msg::dds_::UUID_ goal_id_;
            };

            typedef DDS_DCPSStruct_var<Increment_GetResult_Request_> Increment_GetResult_Request__var;
            typedef Increment_GetResult_Request_& Increment_GetResult_Request__out;

            struct  Increment_GetResult_Response_
            {
                ::DDS::Octet status_;
                ::teleop_tools_msgs::action::dds_::Increment_Result_ result_;
            };

            typedef DDS_DCPSStruct_var<Increment_GetResult_Response_> Increment_GetResult_Response__var;
            typedef Increment_GetResult_Response_& Increment_GetResult_Response__out;

            struct  Sample_Increment_GetResult_Request_
            {
                ::DDS::ULongLong client_guid_0_;
                ::DDS::ULongLong client_guid_1_;
                ::DDS::LongLong sequence_number_;
                ::teleop_tools_msgs::action::dds_::Increment_GetResult_Request_ request_;
            };

            typedef DDS_DCPSStruct_var<Sample_Increment_GetResult_Request_> Sample_Increment_GetResult_Request__var;
            typedef Sample_Increment_GetResult_Request_& Sample_Increment_GetResult_Request__out;

            struct  Sample_Increment_GetResult_Response_
            {
                ::DDS::ULongLong client_guid_0_;
                ::DDS::ULongLong client_guid_1_;
                ::DDS::LongLong sequence_number_;
                ::teleop_tools_msgs::action::dds_::Increment_GetResult_Response_ response_;
            };

            typedef DDS_DCPSStruct_var<Sample_Increment_GetResult_Response_> Sample_Increment_GetResult_Response__var;
            typedef Sample_Increment_GetResult_Response_& Sample_Increment_GetResult_Response__out;

            struct  Increment_Feedback_
            {
                ::DDS::Octet structure_needs_at_least_one_member_;
            };

            typedef DDS_DCPSStruct_var<Increment_Feedback_> Increment_Feedback__var;
            typedef Increment_Feedback_& Increment_Feedback__out;

            struct  Increment_FeedbackMessage_
            {
                ::unique_identifier_msgs::msg::dds_::UUID_ goal_id_;
                ::teleop_tools_msgs::action::dds_::Increment_Feedback_ feedback_;
            };

            typedef DDS_DCPSStruct_var<Increment_FeedbackMessage_> Increment_FeedbackMessage__var;
            typedef Increment_FeedbackMessage_& Increment_FeedbackMessage__out;

        }

    }

}

#endif /* _H_4F03401B5A5470E9012B1996CFD875B1_Increment__H_ */
